Bug 310852 - Use type-specific icons for "application/octet-stream" attachments
Summary: Use type-specific icons for "application/octet-stream" attachments
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: UI (show other bugs)
Version: 4.9.3
Platform: Chakra Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks: extramile
  Show dependency treegraph
 
Reported: 2012-11-29 01:20 UTC by Bernd Oliver Sünderhauf
Modified: 2012-12-07 08:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Oliver Sünderhauf 2012-11-29 01:20:57 UTC
Some programs (such as Lotus Notes) tend to attach files even of well-known MIME types as "application/octet-stream".
kmail obviously manages to determine the MIME type of such a file by its extension: it correctly associates the application for opening the file, and when saving to the filesystem it changes the MIME type to "application/pdf", "application/msword" or whatever.
So it would be really nice and should be no problem to display the specific icon instead of just some default "?" icon.

Reproducible: Always
Comment 1 Laurent Montel 2012-11-29 07:15:26 UTC
I need to have a mail example to test it.
Regards
Comment 2 Jonathan Marten 2012-12-02 16:23:56 UTC
Is this the same as ancient bug 35836?
Test email message attached there.
Comment 3 Laurent Montel 2012-12-07 08:03:44 UTC
Git commit 981d2c1a68abc0194d21e9feae91102c0d64465a by Montel Laurent.
Committed on 07/12/2012 at 09:03.
Pushed by mlaurent into branch 'master'.

Fix Bug 310852 - Use type-specific icons for "application/octet-stream"

attachments
FIXED-IN: 4.10

M  +5    -0    messageviewer/mimetreemodel.cpp
M  +4    -0    messageviewer/nodehelper.cpp
M  +13   -0    messageviewer/util.cpp
M  +6    -0    messageviewer/util.h
M  +5    -19   messageviewer/viewer_p.cpp

http://commits.kde.org/kdepim/981d2c1a68abc0194d21e9feae91102c0d64465a